| Flutter iOS Embedder |

Classes | Functions | Variables
FlutterTextInputPlugin.h File Reference
`#import <UIKit/UIKit.h>`
`#import "flutter/shell/platform/common/text_editing_delta.h"`
`#import "flutter/shell/platform/darwin/common/framework/Headers/FlutterChannels.h"`
`#import "flutter/shell/platform/darwin/ios/framework/Source/FlutterIndirectScribbleDelegate.h"`
`#import "flutter/shell/platform/darwin/ios/framework/Source/FlutterKeySecondaryResponder.h"`
`#import "flutter/shell/platform/darwin/ios/framework/Source/FlutterTextInputDelegate.h"`
`#import "flutter/shell/platform/darwin/ios/framework/Source/FlutterViewResponder.h"`

Go to the source code of this file.

## Classes
class | FlutterTextInputPlugin
class | FlutterTextPosition
class | FlutterTextRange
class | FlutterTokenizer
class | FlutterTextSelectionRect
category | UIView(FindFirstResponder)

## Functions
typedef | NS_ENUM (NSInteger, FlutterScribbleFocusStatus)
typedef | NS_ENUM (NSInteger, FlutterScribbleInteractionStatus)
UITextSmartQuotesType smartQuotesType | API_AVAILABLE (ios(11.0))
UITextContentType textContentType | API_AVAILABLE (ios(10.0))
UIEditMenuInteraction *editMenuInteraction | API_AVAILABLE (ios(16.0))

## Variables
API_AVAILABLE(ios(13.0)) @interface FlutterTextPlaceholder UITextRange * | selectedTextRange
UITextRange * | markedTextRange
NSDictionary * | markedTextStyle
id< UITextInputDelegate > | inputDelegate
NSMutableArray * | pendingDeltas
UITextAutocapitalizationType | autocapitalizationType
UITextAutocorrectionType | autocorrectionType
UITextSpellCheckingType | spellCheckingType
BOOL | enablesReturnKeyAutomatically
UIKeyboardAppearance | keyboardAppearance
UIKeyboardType | keyboardType
UIReturnKeyType | returnKeyType
BOOL | secureTextEntry
BOOL | enableDeltaModel
UIAccessibilityElement * | backingTextInputAccessibilityObject
id< FlutterViewResponder > | viewResponder
FlutterScribbleFocusStatus | scribbleFocusStatus
NSArray< FlutterTextSelectionRect * > * | selectionRects
void | resetScribbleInteractionStatusIfEnding
BOOL | isScribbleAvailable
instancetype init | NS_UNAVAILABLE
instancetype | initWithCoder
instancetype | initWithFrame
instancetype | initWithOwner
CGRect | localRectFromFrameworkTransform
CGRect | caretRectForPosition

## Function Documentation

## ◆ API_AVAILABLE() [1/3]

UITextContentType textContentType API_AVAILABLE | ( | ios(10.0) |  | ) |
| readwritenonatomiccopy

## ◆ API_AVAILABLE() [2/3]

UITextSmartDashesType smartDashesType API_AVAILABLE | ( | ios(11.0) |  | ) |
| readwritenonatomicassign

## ◆ API_AVAILABLE() [3/3]

UIEditMenuInteraction* editMenuInteraction API_AVAILABLE | ( | ios(16.0) |  | ) |
| readwritenonatomicstrong

## ◆ NS_ENUM() [1/2]

typedef NS_ENUM | ( | NSInteger | ,
|  | FlutterScribbleFocusStatus |
| ) |  |

Definition at line 17 of file FlutterTextInputPlugin.h.

17 {
18 // NOLINTBEGIN(readability-identifier-naming)
19 FlutterScribbleFocusStatusUnfocused,
20 FlutterScribbleFocusStatusFocusing,
21 FlutterScribbleFocusStatusFocused,
22 // NOLINTEND(readability-identifier-naming)
23 };

## ◆ NS_ENUM() [2/2]

typedef NS_ENUM | ( | NSInteger | ,
|  | FlutterScribbleInteractionStatus |
| ) |  |

Definition at line 25 of file FlutterTextInputPlugin.h.

25 {
26 // NOLINTBEGIN(readability-identifier-naming)
27 FlutterScribbleInteractionStatusNone,
28 FlutterScribbleInteractionStatusStarted,
29 FlutterScribbleInteractionStatusEnding,
30 // NOLINTEND(readability-identifier-naming)
31 };

## Variable Documentation

## ◆ autocapitalizationType

UITextAutocapitalizationType autocapitalizationType
| readwritenonatomicassign

Definition at line 145 of file FlutterTextInputPlugin.h.

## ◆ autocorrectionType

UITextAutocorrectionType autocorrectionType
| readwritenonatomicassign

Definition at line 146 of file FlutterTextInputPlugin.h.

## ◆ backingTextInputAccessibilityObject

UIAccessibilityElement* backingTextInputAccessibilityObject
| readwritenonatomicweak

Definition at line 158 of file FlutterTextInputPlugin.h.

## ◆ caretRectForPosition

CGRect caretRectForPosition

Definition at line 178 of file FlutterTextInputPlugin.h.

## ◆ enableDeltaModel

BOOL enableDeltaModel
| readwritenonatomicassign

Definition at line 153 of file FlutterTextInputPlugin.h.

## ◆ enablesReturnKeyAutomatically

BOOL enablesReturnKeyAutomatically
| readwritenonatomicassign

Definition at line 148 of file FlutterTextInputPlugin.h.

## ◆ initWithCoder

instancetype initWithCoder

Definition at line 171 of file FlutterTextInputPlugin.h.

## ◆ initWithFrame

instancetype initWithFrame

Definition at line 172 of file FlutterTextInputPlugin.h.

Referenced by FlutterClippingMaskView::initWithFrame:screenScale:.

## ◆ initWithOwner

instancetype initWithOwner

Definition at line 173 of file FlutterTextInputPlugin.h.

## ◆ inputDelegate

id<UITextInputDelegate> inputDelegate
| readwritenonatomicweak

Definition at line 141 of file FlutterTextInputPlugin.h.

## ◆ isScribbleAvailable

BOOL isScribbleAvailable

Definition at line 167 of file FlutterTextInputPlugin.h.

## ◆ keyboardAppearance

UIKeyboardAppearance keyboardAppearance
| readwritenonatomicassign

Definition at line 149 of file FlutterTextInputPlugin.h.

## ◆ keyboardType

UIKeyboardType keyboardType
| readwritenonatomicassign

Definition at line 150 of file FlutterTextInputPlugin.h.

## ◆ localRectFromFrameworkTransform

CGRect localRectFromFrameworkTransform

Definition at line 177 of file FlutterTextInputPlugin.h.

## ◆ markedTextRange

UITextRange* markedTextRange
| readwritenonatomicstrong

Definition at line 139 of file FlutterTextInputPlugin.h.

## ◆ markedTextStyle

NSDictionary* markedTextStyle
| readwritenonatomiccopy

Definition at line 140 of file FlutterTextInputPlugin.h.

## ◆ NS_UNAVAILABLE

instancetype new NS_UNAVAILABLE

Definition at line 169 of file FlutterTextInputPlugin.h.

## ◆ pendingDeltas

NSMutableArray* pendingDeltas
| readwritenonatomicstrong

Definition at line 142 of file FlutterTextInputPlugin.h.

## ◆ resetScribbleInteractionStatusIfEnding

void resetScribbleInteractionStatusIfEnding

Definition at line 166 of file FlutterTextInputPlugin.h.

## ◆ returnKeyType

UIReturnKeyType returnKeyType
| readwritenonatomicassign

Definition at line 151 of file FlutterTextInputPlugin.h.

## ◆ scribbleFocusStatus

FlutterScribbleFocusStatus scribbleFocusStatus
| readwritenonatomicassign

Definition at line 162 of file FlutterTextInputPlugin.h.

## ◆ secureTextEntry

BOOL secureTextEntry
| readwritenonatomicassign

Definition at line 152 of file FlutterTextInputPlugin.h.

## ◆ selectedTextRange

API_AVAILABLE (ios(13.0)) @interface FlutterTextPlaceholder UITextRange* selectedTextRange
| readwritecopy

Definition at line 127 of file FlutterTextInputPlugin.h.

## ◆ selectionRects

NSArray<FlutterTextSelectionRect*>* selectionRects
| readwritenonatomicstrong

Definition at line 163 of file FlutterTextInputPlugin.h.

## ◆ spellCheckingType

UITextSpellCheckingType spellCheckingType
| readwritenonatomicassign

Definition at line 147 of file FlutterTextInputPlugin.h.

## ◆ viewResponder

id<FlutterViewResponder> viewResponder
| readwritenonatomicweak

Definition at line 161 of file FlutterTextInputPlugin.h.

Referenced by FlutterTextInputPlugin::setUpIndirectScribbleInteraction:.